Subnets
Network subnet management operations
Lists subnets to which the project has access.
PCD Identity Service token authentication
Filter the list result by the network ID.
Filter the list result by the ID of the resource.
Filter the list result by the human-readable name of the resource.
Filter the list result by the ID of the project that owns the resource.
Filter the list result by the ID of the project that owns the resource.
The fields that you want the server to return. If no fields are specified, all fields are returned.
Sort direction. A valid value is asc (ascending) or desc (descending).
Sorts by a resource attribute.
A list of tags to filter the list result by. Resources that match all tags in this list will be returned.
A list of tags to filter the list result by. Resources that match any tag in this list will be returned.
A list of tags to filter the list result by. Resources that match all tags in this list will be excluded.
A list of tags to filter the list result by. Resources that match any tag in this list will be excluded.
Successful operation
Unauthorized
GET /neutron/v2.0/subnets HTTP/1.1
Host: example.platform9.com
X-Auth-Token: YOUR_API_KEY
Accept: */*
{
"subnets": [
{
"id": "26106f45-a517-4e43-95f4-7b4c56c0a8cf",
"name": "subnet1",
"network_id": "6c05f4a1-b900-4cdb-bff6-4017de02c837",
"tenant_id": "0376e204a05443d3bfdf864c5be771ee",
"project_id": "0376e204a05443d3bfdf864c5be771ee",
"ip_version": 4,
"cidr": "192.168.8.0/22",
"gateway_ip": "192.168.8.1",
"enable_dhcp": true,
"ipv6_address_mode": null,
"ipv6_ra_mode": null,
"subnetpool_id": null,
"allocation_pools": [
{
"start": "192.168.8.2",
"end": "192.168.11.254"
}
],
"dns_nameservers": [],
"host_routes": [],
"service_types": [],
"dns_publish_fixed_ip": false,
"router:external": false,
"description": "",
"tags": [],
"created_at": "2026-08-27T04:01:51Z",
"updated_at": "2026-08-27T04:01:51Z",
"revision_number": 0
}
]
}Creates a subnet.
PCD Identity Service token authentication
Subnet created successfully
Bad Request
Unauthorized
POST /neutron/v2.0/subnets HTTP/1.1
Host: example.platform9.com
X-Auth-Token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 511
{
"subnet": {
"name": "text",
"description": "text",
"network_id": "123e4567-e89b-12d3-a456-426614174000",
"ip_version": 4,
"cidr": "text",
"gateway_ip": "text",
"dhcp_enabled": true,
"dns_nameservers": [
"text"
],
"allocation_pools": [
{
"start": "text",
"end": "text"
}
],
"host_routes": [
{
"destination": "text",
"nexthop": "text"
}
],
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_id": "123e4567-e89b-12d3-a456-426614174000",
"ipv6_address_mode": "slaac",
"ipv6_ra_mode": "slaac",
"subnetpool_id": "123e4567-e89b-12d3-a456-426614174000"
}
}{
"subnet": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"network_id": "123e4567-e89b-12d3-a456-426614174000",
"ip_version": 4,
"cidr": "text",
"gateway_ip": "text",
"dhcp_enabled": true,
"dns_nameservers": [
"text"
],
"allocation_pools": [
{
"start": "text",
"end": "text"
}
],
"host_routes": [
{
"destination": "text",
"nexthop": "text"
}
],
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_id": "123e4567-e89b-12d3-a456-426614174000",
"ipv6_address_mode": "slaac",
"ipv6_ra_mode": "slaac",
"subnetpool_id": "123e4567-e89b-12d3-a456-426614174000",
"tags": [
"text"
],
"revision_number": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Shows details for a subnet.
PCD Identity Service token authentication
The ID of the subnet.
The fields that you want the server to return. If no fields are specified, all fields are returned.
Successful operation
Unauthorized
Not Found
GET /neutron/v2.0/subnets/{subnet_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: YOUR_API_KEY
Accept: */*
{
"subnet": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"network_id": "123e4567-e89b-12d3-a456-426614174000",
"ip_version": 4,
"cidr": "text",
"gateway_ip": "text",
"dhcp_enabled": true,
"dns_nameservers": [
"text"
],
"allocation_pools": [
{
"start": "text",
"end": "text"
}
],
"host_routes": [
{
"destination": "text",
"nexthop": "text"
}
],
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_id": "123e4567-e89b-12d3-a456-426614174000",
"ipv6_address_mode": "slaac",
"ipv6_ra_mode": "slaac",
"subnetpool_id": "123e4567-e89b-12d3-a456-426614174000",
"tags": [
"text"
],
"revision_number": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Updates a subnet.
PCD Identity Service token authentication
The ID of the subnet.
Subnet updated successfully
Bad Request
Unauthorized
Forbidden
Not Found
Precondition Failed
PUT /neutron/v2.0/subnets/{subnet_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 221
{
"subnet": {
"name": "text",
"description": "text",
"gateway_ip": "text",
"dhcp_enabled": true,
"dns_nameservers": [
"text"
],
"allocation_pools": [
{
"start": "text",
"end": "text"
}
],
"host_routes": [
{
"destination": "text",
"nexthop": "text"
}
]
}
}{
"subnet": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"description": "text",
"network_id": "123e4567-e89b-12d3-a456-426614174000",
"ip_version": 4,
"cidr": "text",
"gateway_ip": "text",
"dhcp_enabled": true,
"dns_nameservers": [
"text"
],
"allocation_pools": [
{
"start": "text",
"end": "text"
}
],
"host_routes": [
{
"destination": "text",
"nexthop": "text"
}
],
"project_id": "123e4567-e89b-12d3-a456-426614174000",
"tenant_id": "123e4567-e89b-12d3-a456-426614174000",
"ipv6_address_mode": "slaac",
"ipv6_ra_mode": "slaac",
"subnetpool_id": "123e4567-e89b-12d3-a456-426614174000",
"tags": [
"text"
],
"revision_number": 1,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
}Deletes a subnet.
PCD Identity Service token authentication
The ID of the subnet.
Subnet deleted successfully
No content
Unauthorized
Not Found
Conflict
Precondition Failed
DELETE /neutron/v2.0/subnets/{subnet_id} HTTP/1.1
Host: example.platform9.com
X-Auth-Token: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?
